// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2018 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.close-button {
  position: absolute;
  top: 3px;
  left: 0;
}

.console-pins {
  max-height: 200px;
  overflow-y: auto;
  background: var(--sys-color-cdt-base-container);

  --override-error-background-color: rgb(255 240 240);
  --override-error-border-color: rgb(225 214 214);
  --override-error-text-color: rgb(255 0 0);
}

.console-pins:not(:empty) {
  border-bottom: 1px solid var(--sys-color-divider);
}

.-theme-with-dark-background .console-pins,
:host-context(.-theme-with-dark-background) .console-pins {
  --override-error-background-color: rgb(41 0 0);
  --override-error-border-color: rgb(92 0 0);
  --override-error-text-color: rgb(255 128 128);
}

.console-pin {
  position: relative;
  user-select: text;
  flex: none;
  padding: 2px 0 6px 24px;
}

.console-pin:not(:last-child) {
  border-bottom: 1px solid var(--color-background-elevation-2);
}

.console-pin.error-level:not(:focus-within) {
  background-color: var(--override-error-background-color);
  color: var(--override-error-text-color);
}

.console-pin:not(:last-child).error-level:not(:focus-within) {
  border-top: 1px solid var(--override-error-border-color);
  border-bottom: 1px solid var(--override-error-border-color);
  margin-top: -1px;
}

.console-pin-name {
  margin-left: -4px;
  margin-bottom: 1px;
  height: auto;
}

.console-pin-name,
.console-pin-preview {
  width: 100%;
  text-overflow: ellipsis;
  white-space: nowrap;
  min-height: 13px;
}

.console-pin-preview {
  overflow: hidden;
}

.console-pin-name:focus-within {
  background: var(--sys-color-cdt-base-container);
  border-radius: 4px;
  box-shadow: var(--legacy-focus-ring-active-shadow) inset;
}

.console-pin:focus-within .console-pin-preview,
.console-pin-name:not(:focus-within):not(:hover) {
  opacity: 60%;
}

/*# sourceURL=consolePinPane.css */
`);
export default styles;
