// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright (C) 2006, 2007, 2008 Apple Inc.  All rights reserved.
 * Copyright (C) 2009 Anthony Ricaud <rik@webkit.org>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1.  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 2.  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 3.  Neither the name of Apple Computer, Inc. ("Apple") nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

:root {
  --override-network-overview-total: #919191;
  --override-network-overview-blocking: #858585;
  --override-network-overview-connecting: #d68100;
  --override-network-overview-service-worker: #d68100;
  --override-network-overview-service-worker-respond-with: #00a3a3;
  --override-network-overview-push: #0099e0;
  --override-network-overview-proxy: #a1887f;
  --override-network-overview-dns: #009688;
  --override-network-overview-ssl: #b52dcd;
  --override-network-overview-sending: #74979a;
  --override-network-overview-waiting: #00a846;
  --override-network-overview-receiving: #0299de;
  --override-network-overview-queueing: #fff;
  --network-grid-navigation-color: rgb(221 238 255 / 100%);
  --network-grid-initiator-path-color: rgb(58 217 58 / 40%);
  --network-grid-initiated-path-color: rgb(217 58 58 / 40%);
  --network-grid-focus-selected-color-has-error: #fad2cf;
  --network-grid-from-frame-color: rgb(224 247 250 / 40%);
  --network-grid-is-product-color: rgb(255 252 225 / 60%);
  --network-frame-divider-color: #fccc49;
}

.-theme-with-dark-background {
  --network-grid-navigation-color: rgb(221 238 255 / 100%);
  --network-grid-initiator-path-color: rgb(58 217 58 / 40%);
  --network-grid-initiated-path-color: rgb(217 58 58 / 40%);
  --network-grid-focus-selected-color-has-error: #482422;
  --network-grid-from-frame-color: rgb(224 247 250 / 40%);
  --network-grid-is-product-color: rgb(255 252 225 / 60%);
}

.network-details-view {
  background: rgb(203 203 203); /* stylelint-disable-line plugin/use_theme_colors */
  /* See: crbug.com/1152736 for color variable migration. */
}

.network-details-view-tall-header {
  border-top: 4px solid var(--color-background-elevation-1);
}

.network-item-view {
  display: flex;
  background: var(--sys-color-cdt-base-container);
}

.network-item-preview-toolbar {
  border-top: 1px solid var(--sys-color-divider);
  background-color: var(--color-background-elevation-1);
}

.resource-timing-view {
  display: block;
  margin: 6px;
  color: var(--color-text-primary);
  overflow: auto;
  background-color: var(--sys-color-cdt-base-container);
}

.resource-timing-table {
  width: 100% !important; /* stylelint-disable-line declaration-no-important */
}

#network-overview-panel {
  flex: none;
  position: relative;
}

#network-overview-container {
  overflow: hidden;
  flex: auto;
  display: flex;
  flex-direction: column;
  position: relative;
  border-bottom: 1px solid var(--sys-color-divider);
}

#network-overview-container canvas {
  width: 100%;
  height: 100%;
}

.resources-dividers-label-bar {
  background-color: var(--sys-color-cdt-base-container);
}

#network-overview-grid .resources-dividers-label-bar {
  pointer-events: auto;
}

.network .network-overview {
  flex: 0 0 60px;
}

.network-overview .resources-dividers-label-bar .resources-divider {
  background-color: transparent;
}

.network-overview .resources-dividers {
  z-index: 250;
}

.request-view.html iframe {
  width: 100%;
  height: 100%;
  position: absolute;
}

.network-film-strip {
  border-bottom: solid 1px var(--sys-color-divider);
  flex: none !important; /* stylelint-disable-line declaration-no-important */
}

.network-film-strip-placeholder {
  flex-shrink: 0;
}

.network-tabbed-pane {
  background-color: var(--color-background-elevation-1);
}

.network-settings-pane {
  flex: none;
  background-color: var(--color-background-elevation-1);
}

.network-settings-pane .toolbar {
  flex: 1 1;
}

.network-toolbar-container {
  display: flex;
  flex: none;
}

.network-toolbar-container > :first-child {
  flex: 1 1 auto;
}

.panel.network .toolbar {
  background-color: var(--sys-color-cdt-base-container);
  border-bottom: 1px solid var(--sys-color-divider);
}

@media (forced-colors: active) {
  .panel.network .toolbar {
    background-color: canvas;
  }
}

devtools-request-headers {
  min-width: 360px;
}

/*# sourceURL=networkPanel.css */
`);
export default styles;
