// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2023 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: inherit;
}

*:focus,
*:focus-visible {
  outline: none;
}

:host {
  overflow-x: auto;
}

:host,
devtools-recording-view,
devtools-create-recording-view {
  display: flex;
  flex-direction: column;
  flex: 1;
  min-height: 0;
}

.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.header {
  background-color: var(--sys-color-cdt-base-container);
  display: flex;
  flex-direction: row;
  align-items: center;
  border-bottom: 1px solid var(--sys-color-divider);
  padding: 0 5px;
  min-height: 29px;
  max-height: 29px;
  gap: 3px;
}

.separator {
  background-color: var(--sys-color-divider);
  width: 1px;
  height: 17px;
  margin: 0;
}

select {
  border-radius: 2px;
  border: 1px solid transparent;
  height: 24px;
  max-width: 180px;
  min-width: 140px;
  padding: 0 5px;
  position: relative;
  color: var(--sys-color-on-surface);
  background-color: var(--sys-color-cdt-base-container);
  text-overflow: ellipsis;
}

select:disabled {
  color: var(--sys-color-state-disabled);
}

select:not([disabled]):hover,
select:not([disabled]):focus-visible,
select:not([disabled]):active {
  background-color: var(--sys-color-state-hover-on-subtle);
}

select:not([disabled]):focus-visible {
  box-shadow: 0 0 0 2px var(--sys-color-state-focus-ring);
}

select option {
  background-color: var(--sys-color-cdt-base-container);
  color: var(--sys-color-on-surface);
}

devtools-menu {
  width: 0;
  height: 0;
  position: absolute;
}

devtools-recording-list-view {
  overflow: auto;
}

.error {
  color: var(--sys-color-error);
  border: 1px solid var(--sys-color-error);
  background-color: var(--sys-color-error-container);
  padding: 4px;
}

.feedback {
  margin-left: auto;
  margin-right: 4px;
}

.feedback .x-link {
  letter-spacing: 0.03em;
  text-decoration-line: underline;
  font-size: 9px;
  line-height: 16px;
  color: var(--sys-color-on-surface-subtle);
  outline-offset: 3px;
}

.feedback .x-link:focus-visible {
  outline: -webkit-focus-ring-color auto 1px;
}

.continue-button {
  border: none;
  background-color: transparent;
  width: 24px;
  height: 24px;
  border-radius: 2px;
}

.continue-button devtools-icon {
  width: 24px;
  height: 24px;

  --icon-color: var(--sys-color-primary);
}

.continue-button:hover,
.continue-button:focus-visible {
  background-color: var(--sys-color-state-hover-on-subtle);
}

.continue-button:disabled {
  background: var(--sys-color-cdt-base-container);
  color: var(--sys-color-state-disabled);
  cursor: not-allowed;
}

.continue-button:disabled devtools-icon {
  --icon-color: var(--icon-disabled);
}

devtools-shortcut-dialog {
  padding-right: 6px;
}

/*# sourceURL=recorderController.css */
`);
export default styles;
