// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright (c) 2015 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.filtered-list-widget {
  display: flex;
  flex-direction: column;
  flex: auto;
  border: 1px solid transparent;

  --override-filtered-list-widget-highlight-text-background-color: rgb(255 255 255 / 25%);
}

.-theme-with-dark-background .filtered-list-widget,
:host-context(.-theme-with-dark-background) .filtered-list-widget {
  --override-filtered-list-widget-highlight-text-background-color: rgb(255 255 255 / 75%);
}

.hbox {
  flex: 0 0 40px;
  align-items: center;
}

.filtered-list-widget-hint {
  color: var(--color-text-disabled);
  padding: 12px;
}

devtools-text-prompt {
  flex-grow: 1;
  font-size: 14px;
  font-family: ".SFNSDisplay-Regular", "Helvetica Neue", "Lucida Grande", sans-serif;
  line-height: 16px;
  padding: 12px;
}

.filtered-list-widget-progress {
  flex: none;
  background: rgb(0 0 0 / 20%); /* stylelint-disable-line plugin/use_theme_colors */
  /* See: crbug.com/1152736 for color variable migration. */
  height: 1px;
}

.filtered-list-widget-progress-bar {
  background-color: var(--color-primary-variant);
  height: 2px;
  width: 100%;
  transform: scaleX(0);
  transform-origin: top left;
  opacity: 100%;
  transition: none;
}

.filtered-widget-progress-fade {
  opacity: 0%;
  transition: opacity 500ms;
}

.filtered-list-widget .vbox > div.container {
  flex: auto;
  overflow-x: hidden;
  overflow-y: auto;
}

.filtered-list-widget-item-wrapper {
  color: var(--color-text-primary);
  display: flex;
  border-bottom: 1px solid var(--color-details-hairline-light);
  font-family: ".SFNSDisplay-Regular", "Helvetica Neue", "Lucida Grande", sans-serif;
  padding-left: 8px;
  padding-right: 8px;
}

.filtered-list-widget-item-wrapper devtools-icon {
  align-self: center;
  flex: none;
  padding-right: 8px;
}

.filtered-list-widget-item-wrapper.selected {
  background-color: var(--color-primary-old);
}

.filtered-list-widget-item {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  align-self: center;
  font-size: 12px;
  flex: auto;
}

.filtered-list-widget-item.is-ignore-listed {
  opacity: 50%;
}

.filtered-list-widget-item.two-rows span.highlight {
  color: var(--color-primary-old);
}

.filtered-list-widget-item.one-row span.highlight {
  font-weight: bold;
}

.filtered-list-widget-item .filtered-list-widget-title {
  flex: initial;
  overflow: hidden;
  text-overflow: ellipsis;
}

.filtered-list-widget-item .filtered-list-widget-subtitle {
  flex: none;
  overflow: hidden;
  text-overflow: ellipsis;
  color: var(--color-text-secondary);
  display: flex;
  white-space: pre;
}

.filtered-list-widget-item .filtered-list-widget-subtitle .first-part {
  flex-shrink: 1000;
  overflow: hidden;
  text-overflow: ellipsis;
}

.filtered-list-widget-item-wrapper .tag {
  padding: 0 12px;
  border-radius: 4px;
  line-height: 24px;
  height: 24px;
  align-self: center;
  flex-shrink: 0;
}

.filtered-list-widget-item-wrapper .deprecated-tag {
  font-size: 11px;
  color: var(--color-text-secondary);
}

.filtered-list-widget-item-wrapper.selected .deprecated-tag {
  color: var(--color-background);
}

.-theme-with-dark-background .filtered-list-widget-item-wrapper.selected .deprecated-tag,
:host-context(.-theme-with-dark-background) .filtered-list-widget-item-wrapper.selected .deprecated-tag {
  color: var(--color-background);
  opacity: 80%;
}

.filtered-list-widget-item-wrapper.selected .filtered-list-widget-item span.highlight {
  color: var(--color-background);
  background-color: var(--override-filtered-list-widget-highlight-text-background-color);
}

.filtered-list-widget-item-wrapper.selected .filtered-list-widget-title,
.filtered-list-widget-item-wrapper.selected .filtered-list-widget-subtitle,
.filtered-list-widget-item-wrapper.selected .tag {
  color: var(--color-background);
}

.filtered-list-widget-item-wrapper.selected devtools-icon {
  --icon-color: var(--icon-force-white);
}

.filtered-list-widget-item.one-row {
  height: 36px;
  line-height: 20px;
  padding-top: 8px;
  padding-bottom: 8px;
  display: flex;
}

.filtered-list-widget-item.one-row .filtered-list-widget-title {
  padding-right: 8px;
}

.filtered-list-widget-item.two-rows {
  height: 45px;
  padding-top: 8px;
  padding-bottom: 8px;
}

.filtered-list-widget-item.two-rows .filtered-list-widget-title {
  font-weight: bold;
}

.not-found-text {
  height: 34px;
  line-height: 34px;
  padding-left: 8px;
  font-style: italic;
  color: var(--color-text-disabled);
  background: var(--color-background-elevation-0);
}

.quickpick-description {
  flex: none;
  overflow: hidden;
  text-overflow: ellipsis;
  color: var(--color-text-disabled);
  padding-left: 15px;
}

@media (forced-colors: active) {
  .filtered-list-widget {
    forced-color-adjust: none;
    border-color: ButtonText;
  }

  .filtered-list-widget-item-wrapper .filtered-list-widget-title,
  .filtered-list-widget-item-wrapper .filtered-list-widget-subtitle,
  .quickpick-description {
    color: ButtonText;
  }

  .filtered-list-widget-item-wrapper.selected {
    background-color: Highlight;
  }

  .filtered-list-widget-item-wrapper.selected .filtered-list-widget-item .filtered-list-widget-title,
  .filtered-list-widget-item-wrapper.selected .filtered-list-widget-item .filtered-list-widget-subtitle {
    color: HighlightText;
  }

  devtools-text-prompt {
    border-color: ButtonText;
  }
}

/*# sourceURL=filteredListWidget.css */
`);
export default styles;
