// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
export default {
  cssContent: `/*
 * Copyright (c) 2014 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.search-bar {
  flex: 0 0 31px;
  background-color: var(--sys-color-cdt-base-container);
  border-top: 1px solid var(--sys-color-divider);
  display: flex;
  overflow: hidden;
  z-index: 0;
}

.search-bar.replaceable {
  flex: 0 0 57px;
}

.search-replace {
  appearance: none;
  border: 0;
  /* prevents the input background from going over the border of toolbar-search-control */
  border-radius: 4px;
  padding: 0 3px;
  margin: 0;
  flex: 1;
}

.search-replace:focus {
  outline: none;
}

.toolbar-search {
  display: flex;
  width: 100%;
}

.toolbar-search > div {
  margin: 2px;
  flex-shrink: 0;
}

.toolbar-search-control,
.toolbar-replace-control {
  border: 1px solid var(--sys-color-neutral-outline);
  height: 22px;
  border-radius: 4px;
  width: 100%;
  margin-top: 2px;
  margin-bottom: 2px;
}

.toolbar-search-control {
  display: flex;
  position: relative;
  background-color: var(--sys-color-cdt-base-container);

  &:focus-within {
    border-color: var(--sys-color-state-focus-ring);
  }
}

.toolbar-search-inputs {
  flex-grow: 1;
  min-width: 150px;

  &:hover:not(:focus-within) {
    & .toolbar-search-control {
      background-color: var(--sys-color-state-hover-on-subtle);
    }

    & input {
      background: none;
    }
  }
}

.toolbar-search-navigation-controls {
  align-self: stretch;
}

.toolbar-search-navigation {
  display: inline-block;
  width: 20px;
  height: 20px;
  background-repeat: no-repeat;
  border-left: 1px solid var(--sys-color-divider);
  opacity: 30%;
}

.toolbar-search-navigation.enabled {
  opacity: 100%;
}

.toolbar-search button.search-action-button {
  font-weight: 400;
  height: 22px;
  width: 87px;
}

.toolbar-search-buttons {
  display: flex;
  flex-direction: column;
}

.toolbar-replace-control,
#search-input-field {
  line-height: 17px;
}

.toolbar-search-navigation.enabled:active {
  background-position: 4px 7px, 0 0;
}

.toolbar-search-navigation.toolbar-search-navigation-prev {
  background-image: var(--image-file-chevron-up);
  border-left: 1px solid var(--sys-color-neutral-outline);
}

:host-context(.-theme-with-dark-background) .toolbar-search-navigation {
  filter: invert(90%);
}

.toolbar-search-navigation.toolbar-search-navigation-prev.enabled:active {
  background-image: var(--image-file-chevron-up), var(--color-background-elevation-1);
}

.toolbar-search-navigation.toolbar-search-navigation-next {
  background-image: var(--image-file-chevron-down);
  border-left: 1px solid var(--sys-color-neutral-outline);
}

.toolbar-search-navigation.toolbar-search-navigation-next.enabled:active {
  background-image: var(--image-file-chevron-down), var(--color-background-elevation-1);
}

.search-results-matches {
  display: inline-block;
  text-align: right;
  padding: 0 4px;
  color: var(--color-text-secondary);
  align-self: center;
}

.first-row-buttons {
  display: flex;
  justify-content: space-between;
}

.toolbar-search > .replace-toggle-toolbar {
  margin: 2px -2px 0 0;
}

.toolbar-search-options {
  margin: 0 auto;
}

:host-context(#sources-panel-sources-view) .search-bar {
  flex-basis: auto;
}

:host-context(#sources-panel-sources-view) .toolbar-search {
  flex-wrap: wrap;
}
`
};
