// Copyright 2023 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
export default {
  cssContent: `/*
 * Copyright (C) 2006, 2007, 2008 Apple Inc.  All rights reserved.
 * Copyright (C) 2009 Anthony Ricaud <rik@webkit.org>
 * Copyright (C) 2011 Google Inc. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following disclaimer
 * in the documentation and/or other materials provided with the
 * distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE INC. AND ITS CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL GOOGLE INC.
 * OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

.tabbed-pane {
  flex: auto;
  overflow: hidden;
}

.tabbed-pane-content {
  position: relative;
  overflow: auto;
  flex: auto;
  display: flex;
  flex-direction: column;
}

.tabbed-pane-content.has-no-tabs {
  background-color: var(--sys-color-cdt-base-container);
}

.tabbed-pane-placeholder {
  font-size: 14px;
  text-align: center;
  width: fit-content;
  margin: 40px auto 0;
  text-shadow: var(--color-background-opacity-80) 0 1px 0;
  line-height: 28px;
}

.tabbed-pane-placeholder-row {
  margin-inline: 10px;

  & span {
    padding-inline: 10px;
  }
}

.tabbed-pane-header {
  display: flex;
  flex: 0 0 27px;
  border-bottom: 1px solid var(--sys-color-divider);
  overflow: visible;
  width: 100%;
  background-color: var(--sys-color-cdt-base);
}

.tabbed-pane-header-contents {
  flex: auto;
  pointer-events: none;
  margin-left: 0;
  position: relative;
  cursor: default;
}

.tabbed-pane-header-contents > * {
  pointer-events: initial;
}

.tabbed-pane-header-tab-icon {
  min-width: 14px;
  display: flex;
  align-items: center;
  margin-right: 2px;
}

.tabbed-pane-header-tab-icon devtools-icon {
  margin-left: -1px;
}

.tabbed-pane-header-tab {
  float: left;
  padding: 2px 0.8em;
  height: 26px;
  line-height: 16px;
  white-space: nowrap;
  cursor: default;
  display: flex;
  align-items: center;
  color: var(--ui-text);
}

.tabbed-pane-header-tab.closeable {
  padding-right: 4px;
}

.tabbed-pane-header-tab.preview.closeable {
  padding-right: 5px;
}

.tabbed-pane-header-tab devtools-icon.dot::before {
  outline-color: var(--icon-gap-toolbar);
}

.tabbed-pane-header-tab:hover devtools-icon.dot::before {
  outline-color: var(--icon-gap-toolbar-hover);
}

.tabbed-pane-header-tab:hover,
.tabbed-pane-shadow .tabbed-pane-header-tab:focus-visible {
  color: var(--color-text-primary);
  background-color: var(--sys-color-state-hover-on-subtle);
}

.tabbed-pane-header-tab-title {
  text-overflow: ellipsis;
  overflow: hidden;
}

.tabbed-pane-header-tab.measuring {
  visibility: hidden;
}

.tabbed-pane-header-tab.selected {
  border-bottom: none;
  color: var(--sys-color-primary);
}

/**
 * In light-mode we have a blue border to show the active pane, and we don't change the background color. In dark mode we do not show the border, so we instead change the background color.
 */
/* stylelint-disable no-descending-specificity */
.-theme-with-dark-background .tabbed-pane-header-tab.selected,
:host-context(.-theme-with-dark-background) .tabbed-pane-header-tab.selected {
  --override-tabbed-dark-mode-bg-color: rgb(0 0 0);

  background-color: var(--override-tabbed-dark-mode-bg-color);
}

.-theme-with-dark-background .tabbed-pane-header-tab.selected,
:host-context(.-theme-with-dark-background) .tabbed-pane-header-tab.selected:focus-visible {
  background-color: var(--color-background-elevation-0);
}
/* stylelint-enable no-descending-specificity */

.tabbed-pane-header-tab.dragging {
  --override-dragging-box-shadow-color: rgb(0 0 0 / 37%);

  position: relative;
  box-shadow: 0 1px 4px 0 var(--override-dragging-box-shadow-color);
  background-color: var(--color-background-elevation-2);
}

.-theme-with-dark-background .tabbed-pane-header-tab.dragging,
:host-context(.-theme-with-dark-background) .tabbed-pane-header-tab.dragging {
  --override-dragging-box-shadow-color: rgb(230 230 230 / 37%);
}

.tabbed-pane-header-tab .tabbed-pane-close-button {
  margin: 0 -3px 0 4px;
  visibility: hidden;
}

.tabbed-pane-header-tab:hover .tabbed-pane-close-button,
.tabbed-pane-header-tab.selected .tabbed-pane-close-button {
  visibility: visible;
}

.tabbed-pane-header-tabs-drop-down-container {
  float: left;
  opacity: 80%;
  display: flex;
  align-items: center;
  height: 100%;
}

.tabbed-pane-header-tabs-drop-down-container > .chevron-icon {
  background-color: var(--icon-default);
  display: block;
}

.tabbed-pane-header-tabs-drop-down-container > .chevron-icon:hover,
.tabbed-pane-header-tabs-drop-down-container > .chevron-icon:focus-visible {
  background-color: var(--icon-default-hover);
  display: block;
}

.tabbed-pane-header-tabs-drop-down-container:hover,
.tabbed-pane-header-tabs-drop-down-container:focus-visible {
  background-color: var(--color-background-elevation-2);
}

.tabbed-pane-header-tabs-drop-down-container.measuring {
  visibility: hidden;
}

.tabbed-pane-header-tabs-drop-down-container:active {
  opacity: 80%;
}
/* Web page style */

.tabbed-pane-shadow.vertical-tab-layout {
  flex-direction: row !important; /* stylelint-disable-line declaration-no-important */
}

.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header {
  background-color: transparent;
  border: none transparent !important; /* stylelint-disable-line declaration-no-important */
  width: auto;
  flex: 0 0 auto;
  flex-direction: column;
  padding-top: 10px;
  padding-right: 4px;
  overflow: hidden;
}

.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-content {
  padding: 10px 10px 10px 4px;
  overflow-x: hidden;
}

.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-contents {
  margin: 0;
  flex: none;
}

.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tabs {
  display: flex;
  flex-direction: column;
  width: 120px;
}

.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab {
  border: none transparent;
  font-weight: normal;
  text-shadow: none;
  color: var(--color-text-secondary);
  height: 26px;
  padding-left: 10px;
  border-left: 6px solid transparent;
  margin: 0;
  display: flex;
  align-items: center;
}

/* stylelint-disable no-descending-specificity */
.tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab.selected {
  --override-vertical-tab-selected-border-color: #666;

  color: inherit;
  border: none transparent;
  border-left: 6px solid var(--override-vertical-tab-selected-border-color);
  background-color: var(--color-background-elevation-1);
}

.-theme-with-dark-background .tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab.selected,
:host-context(.-theme-with-dark-background) .tabbed-pane-shadow.vertical-tab-layout .tabbed-pane-header-tab.selected {
  --override-vertical-tab-selected-border-color: rgb(153 153 153);
}
/* stylelint-enable no-descending-specificity */

.tabbed-pane-tab-slider {
  height: 2px;
  position: absolute;
  bottom: -1px;
  background-color: var(--sys-color-primary-bright);
  left: 0;
  transform-origin: 0 100%;
  transition: transform 150ms cubic-bezier(0, 0, 0.2, 1);
  visibility: hidden;
}

@media (-webkit-min-device-pixel-ratio: 1.1) {
  .tabbed-pane-tab-slider {
    border-top: none;
  }
}

.tabbed-pane-tab-slider.enabled {
  visibility: visible;
}

.tabbed-pane-header-tab.disabled {
  opacity: 50%;
  pointer-events: none;
}

.tabbed-pane-left-toolbar {
  margin-right: -4px;
  flex: none;
}

.tabbed-pane-right-toolbar {
  margin-left: -4px;
  flex: none;
}

.preview-icon {
  --override-tabbed-pane-preview-icon-color: var(--icon-default);

  width: 16px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 3px;
  flex-shrink: 0;
}

.close-button {
  --tabbed-pane-close-icon-color: var(--icon-default);

  width: 16px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.close-button:hover,
.close-button:active {
  background-color: var(--color-details-hairline);
}

.tabbed-pane-header-tab.preview.closeable .close-button {
  margin-left: 0;
}

@media (forced-colors: active) {
  .tabbed-pane-tab-slider {
    forced-color-adjust: none;
    background-color: Highlight;
  }

  .tabbed-pane-header {
    forced-color-adjust: none;
    border-bottom: 1px solid transparent;
    background-color: ButtonFace;
  }

  .tabbed-pane-header-contents .tabbed-pane-header-tabs .tabbed-pane-header-tab {
    background: ButtonFace;
    color: ButtonText;
  }

  .tabbed-pane-header-tabs .tabbed-pane-header-tab:hover,
  .tabbed-pane-header-tabs .tabbed-pane-shadow .tabbed-pane-header-tab:focus-visible {
    background-color: Highlight;
    color: HighlightText;
  }

  .tabbed-pane-header-tab .tabbed-pane-header-tab-title {
    color: inherit;
  }

  .tabbed-pane-header-contents .tabbed-pane-header-tabs .tabbed-pane-header-tab.selected,
  .tabbed-pane-header-contents .tabbed-pane-header-tabs .tabbed-pane-header-tab.selected:focus-visible {
    background-color: Highlight;
    color: HighlightText;
  }

  .tabbed-pane-header-tab:hover .tabbed-pane-close-button,
  .tabbed-pane-shadow .tabbed-pane-header-tab:focus-visible .tabbed-pane-close-button {
    --icon-color: HighlightText;
  }

  .tabbed-pane-header-tabs-drop-down-container {
    opacity: 100%;
  }

  .tabbed-pane-header-tabs-drop-down-container:hover,
  .tabbed-pane-header-tabs-drop-down-container:focus-visible {
    background-color: Highlight;
  }

  .tabbed-pane-header-tabs-drop-down-container > .chevron-icon {
    background-color: ButtonText;
  }

  .tabbed-pane-header-tabs-drop-down-container:hover > .chevron-icon,
  .tabbed-pane-header-tabs-drop-down-container:focus-visible > .chevron-icon {
    background-color: HighlightText;
  }

  .tabbed-pane-header-tabs .tabbed-pane-header-tab .preview-icon {
    --override-tabbed-pane-preview-icon-color: ButtonText;
  }

  .tabbed-pane-header-tab.selected .preview-icon,
  .tabbed-pane-header-tab:hover .preview-icon {
    --override-tabbed-pane-preview-icon-color: HighlightText;
  }

  .close-button {
    --tabbed-pane-close-icon-color: ButtonText;

    forced-color-adjust: none;
  }

  .close-button:hover,
  .close-button:active {
    --tabbed-pane-close-icon-color: HighlightText;

    background-color: Highlight;
  }

  .selected .close-button {
    --tabbed-pane-close-icon-color: HighlightText;
  }
}
`
};
